function [ux, uy, vp] = getMotionComps (c1, c2, vplim)
% [ux, uy, vp] = getMotionComps(c1, c2, vplim)
% computes the perpendicular components of motion, assuming that the input
% matrices c1 and c2 contain the convolutions of two images (from a motion
% sequence) with a Laplacian-of-Gaussian function. At the location of each 
% zero-crossing of the convolution c2, coordinates of the unit vector in 
% the direction of the gradient and the perpendicular component of motion 
% are calculated and placed in the corresponding locations of the output 
% matrices ux, uy and vp. vplim is an expected limit on the magnitude of 
% vp, in order to omit some of the errors in calculated vp
[rows,  cols] = size(c1);
ux = zeros(rows, cols);
uy = zeros(rows, cols);
vp = zeros(rows, cols);
for i = 2:rows
    for j = 2:cols
        val = c2(i,j); 
        % if there is a zero-crossing at this location of c2
        if ((val * c2(i-1,j) < 0) || (val * c2(i,j-1) < 0))
            % calculate dx (difference between values of c2 in adjacent columns)
            dx = ???
            % calculate dy (difference between values of c2 in adjacent rows)
            dy = ???
            % calculate dt (difference between c2 and c1 at location (i,j)
            dt = ???
            % calculate the magnitude of the gradient
            mag = ???
            % calculate the perpendicular component of motion
            vpval = ???
            % if the magnitude of the perpendicular component of motion is
            % less than vplim, store appropriate values at this location
            % of the matrices ux, uy, and vp:
            %    ux: x coordinate of unit vector in direction of gradient
            %    uy: y coordinate of unit vector in direction of gradient
            %    vp: component of motion in direction of gradient
            if ???
                ux(i,j) = ???
                uy(i,j) = ???
                vp(i,j) = ???
            end
        end
    end
end
                