function displayDifferenceVectors(dvx, dvy)
% displayDifferenceVectors(dvx, dvy)
% displays velocity difference vectors

[xdim, ydim] = size(dvx);
num = sum(sum(dvx > 1));        % total number of difference vectors
points = zeros(4,num);        
index = 1;  
for j = 1:ydim                  % collect x, y, vx, vy for points where
    for i = 1:xdim                 % velocity is to be displayed
        points(1, index) = i;
        points(2, index) = j;
        points(3, index) = dvx(i,j);
        points(4, index) = dvy(i,j);
        index = index + 1;
    end
end
dpoints = points(:,1:3:end);    % select every third point for display
% display final velocity vectors
hold on
quiver(dpoints(1,:), dpoints(2,:), dpoints(3,:), dpoints(4,:), 0, 'g');
set(gca, 'XTick', 0:20:200, 'YTick', 0:20:200, 'XTickLabel', -5:5, 'YTickLabel', -5:5)
axis([-10 210 -10 210])
hold off
